Bug 238895 - yumdownloader doesn't check if rpms exists anymore
Summary: yumdownloader doesn't check if rpms exists anymore
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: yum-utils   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Seth Vidal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-03 18:17 UTC by Sebastian Vahl
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version: 1.1.5-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-21 20:05:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Sebastian Vahl 2007-05-03 18:17:51 UTC
Description of problem:
yumdownloader doesn't check if rpms exists anymore. So it overwrites already
existing rpms. In further versions (eg. the one from fc6) it then shows a line
like this:
"./rpm-4.4.2-33.fc6.i386.rpm already exists and appears to be complete"


Version-Release number of selected component (if applicable):
yum-utils-1.1.3-1.fc7


How reproducible:


Steps to Reproduce:
1. yum install yum-utils
2. yumdownloader rpm
3. yumdownloader rpm
  
Actual results:
Both times the package "rpm" is downloaded by yumdownloader


Expected results:
yumdownloader only should download the package once. The second time it should
show a message that it is already downloaded.

Additional info:

Comment 1 Fedora Update System 2007-06-18 16:37:41 UTC
yum-utils-1.1.5-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 2 Fedora Update System 2007-06-21 20:04:49 UTC
yum-utils-1.1.5-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.